// pages/newsList/newsList.js
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    news: {
      newsUrl: app.newsUrl,
      newsList: [],
    },
    currentPage: 1,
    rows: 10
  },
  doGetNewsList: function(page) {
    var self = this;
    app.dialog.loading('正在加载');
    app.restAjax.get(app.restAjax.path('{newsUrl}/app/newscontent/listpagenewscontentrelease', [self.data.news.newsUrl]), {
      page: page,
      rows: self.data.rows
    }, null, function(code, data) {
      if(data.rows.length == 0) {
        app.dialog.msg('暂无数据');
        return;
      }
      var newsArray;
      if(page <= 1) {
        newsArray = data.rows;
      } else {
        newsArray = self.data.news.newsList;
        newsArray = newsArray.concat(data.rows);
      }
      self.setData({
        currentPage: page,
        'news.newsList': newsArray
      })
    }, function(code, data) {
      app.dialog.msg(data.msg);
    }, function() {
      wx.stopPullDownRefresh();
      wx.hideLoading();
    });
  },
  goNewsDetail: function (event) {
    wx.navigateTo({
      url: '../newsDetail/newsDetail?templateRecordUrl='+ event.currentTarget.dataset.templateRecordUrl,
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var self = this;
    self.doGetNewsList(1);
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.doGetNewsList(1);
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    this.doGetNewsList(this.data.currentPage + 1);
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})